You need to enable JavaScript to run this app.
Lake AI Service

Lake AI Service

Copy page
Download PDF
Video processing
Video super-resolution
Copy page
Download PDF
Video super-resolution

The video super-resolution online service enhances the clarity and resolution of input videos using a video super-resolution model, delivering higher-resolution video output. Applicable to scenarios such as restoration of old films, material enhancement, 4K production, and video clarity enhancement.

Operator introduction

Operator ID: las_video_super_resolution

Application scenarios

  • Restoration of old films / low-resolution stock videos: Batch super-resolution processing for historical stock or low-bitrate videos enables one-click upgrades to high resolution; restores the original HD viewing experience, eliminates blur, noise, and artifacts, and revitalizes old films.
  • Batch enhancement of UGC / live streaming recordings: Scalable super-resolution for UGC content or live broadcast recordings without re-acquisition; achieves significant quality improvement at low cost, enables large-scale production, and greatly reduces manual restoration costs.
  • AI generated video post-processing: Generate videos at low resolution for content selection, then apply super-resolution to target materials for quality enhancement; significantly reduces computing power consumption during the generation phase, achieving final high-quality video output at lower cost.

Core capabilities

  • Flexible and efficient resolution adjustment capability.
    • Supports specifying target resolution via target_width.
    • Automatically maintains video orientation and derives target resolution.
  • Stable results.
    • Texture reconstruction using the LAS deep learning model to avoid blur, halos, noise, and generative artifacts.

Effect demonstration

  • Input video: 700 × 394
    • Example 1
    • Example 2:
  • Output video: 1920 × 1082
    • Result example 1:
    • Result example 2:

Supported regions

  • Beijing: cn-beijing

Operator performance

Sub-items
Performance impact description

Maximum RPM

600

Maximum concurrency

10

Processing time

Total processing time is directly related to video duration, video frame rate, and output video resolution. The higher the input resolution and the larger the target resolution, the longer the overall processing time usually is. Excluding task queue time, the formula for operator processing time is:
Total processing time = input video duration * input video fps * output video resolution coefficient
The output video resolution coefficient depends on the resolution. Using 720p video as the baseline (1), the output video resolution coefficients are:

  • 720p:1
  • 1080p:3
  • 1440p:5
  • 2160p:11

Processing time example: For a 720p, 20 fps, 10 s video, the processing time is 10 * 20 * 1 = 200s.

warning

  • The above time consumption formulas and calculation examples do not include task queueing time. To meet higher requirements for throughput or performance, please submit a ticket for consultation.
  • It is recommended to access TOS sources and write TOS results within the Volcano Engine intranet environment to achieve more stable network performance.

Input and output requirements

Input requirements

Sub-items

Detailed requirements

Supported input data modalities

  • Video

Input format: Video

  • Format: All common video formats are supported, including "mp4", "mov", "mkv", "avi", "webm", "m4v"
  • Size: Videos with a duration of no more than 3 hours and a file size of no more than 10 GB.

Input path requirements

Provide input data to the operator via the video_url request parameter. Currently, public URLs and TOS paths are supported.

  • Public URL: A video URL accessible via the public internet, in the format http/https.
  • TOS path: After uploading the data to be processed to a TOS bucket under the same primary account and region as the current LAS service, you can provide a TOS path in the format tos://bucket_name/demo.

Output requirements

Sub-items

Detailed requirements

Output data modalities

  • Video

Output path: TOS

Specify the storage path for the operator's output results via the output_tos_path request parameter. Currently, setting to a TOS path is supported.

  • TOS path: A TOS Bucket directory under the same primary account and region as the LAS service, with write permissions.

Billing instructions
  • Billing standards

    Sub-item
    Billing standards description

    Billing item

    Billing is calculated based on the duration of the output video. During billing, the video duration is adjusted using a conversion coefficient based on the output video frame rate.

    Billing type

    Pay-as-you-go, unit: CNY/minute, billed hourly based on actual usage.

    Unit price

    The unit price depends on the resolution you select for the super-resolved video.

  • Billing details
    Billing formula: Total cost = unit price * billing usage = unit price * (video duration * duration conversion coefficient)

    Sub-scenario
    Unit price
    Duration conversion coefficient (per thousand tokens)

    Output video resolution ≤ 720p

    2.2 CNY/minute

    Different output video frame rates are converted to different coefficients:

    • Actual frame rate ≤ 30 fps: coefficient is "1"
    • 30 fps < actual frame rate ≤ 60 fps: coefficient is "2"
    • 60 fps < actual frame rate ≤ 90 fps: coefficient is "3"
    • 90 fps < actual frame rate ≤ 120 fps: coefficient is "4"

    720p < output video resolution ≤ 1080p

    6.6 CNY/minute

    1080p < output video resolution ≤ 1440p

    11 CNY/minute

    1440p < output video resolution

    24.2 CNY/minute

  • Billing example
    When the actual output video resolution is 720p, the video duration is 10 minutes, and the frame rate is 60 fps:

    • The frame rate coefficient is: 2.
    • The actual cost is:
      Cost = unit price * (video duration * coefficient) = 2.2 CNY/minute * (10 minutes * 2) = 44 CNY

Notes and prerequisites

Details

Caution and prerequisites

Costs

Before calling an operator, you need to understand the model invocation costs associated with using the operator. For details, see Large model invocation billing.

Authentication (API Key)

Before calling an operator, you need to generate an API Key for operator invocation. It is recommended to configure the API Key as an environment variable to ensure safer operator calls. For details, see Obtain and configure API Key.

BaseURL

Before calling an operator, you need to determine the BaseURL for operator invocation based on the region where your current LAS service is deployed. This is used to configure the path parameter values for operator calls.
For details, see Obtain the Base URL. The Examples below are for reference only; when making actual calls, replace the path values with those corresponding to your region.

Rest API invocation

API invocation instructions

The API for this operator is an asynchronous task interface. You need to submit tasks via the submit interface, then use the Poll interface to obtain task status and retrieve the operator processing results. Meanwhile, this operator supports asynchronous callback capability (Callback). You can set the callback parameter callback.url when initiating the operator task. LAS will send HTTP POST notifications to this URL. For guidance on using asynchronous callbacks, refer to Asynchronous callback API.

Submit interface

API description

Call the Submit API to submit an asynchronous task. After a successful submission, the API returns a task ID. You can use this task ID to query subsequent processing status and results.

Request parameters

Parameter
Type
Required
Example value
Description
operator_id
string
Yes
las_video_super_resolution
Operator ID.
operator_version
string
Yes
v1
Operator version.
data
VideoSuperResolutionReqParams
Yes
Video super-resolution request parameters.
callback
Callback
No
Task status callback configuration. After configuring callback.url, a POST request will be sent to this address when the task status changes. If not configured, you can query task status and results via Poll.

Response parameters

Parameter
Type
Example value
Description
metadata
object
Request metadata.

Request example

# Please set OUTPUT_TOS_PATH to a tos path that is writable by this account
export OUTPUT_TOS_PATH="tos://path/to/sr_results"

curl --location "https://operator.las.ap-southeast-1.volces.com/api/v1/submit" --header "Content-Type: application/json" --header "Authorization: Bearer $LAS_API_KEY" --data '{
    "operator_id": "las_video_super_resolution",
    "operator_version": "v1",
    "data": {
        "video_url": "https://${LAS_TOS_BUCKET}.${TOS_ENDPOINT}/operator_cards_serving/public/${LAS_ENVIRONMENT}/las_video_super_resolution/v1/sample_input.mp4",
        "output_tos_path": "$OUTPUT_TOS_PATH",
        "target_width": 1920
    }
}'

Response example

{
  "metadata": {
    "task_id": "task-20260413191000-abc123",
    "task_status": "PENDING",
    "business_code": "0",
    "error_msg": ""
  }
}

Error code

HttpStatusCode

Error code

Error message

Description

400

Url.Invalid

The url is invalid.

The video link is invalid.

400

Video.Invalid

The video file is invalid.

The video file is invalid or cannot be parsed.

400

Video.DownloadFailed

Video download failed.

Video download failed.

400

Video.FormatUnsupported

Video format not supported.

Video format not supported.

400

Video.DurationExceeded

Video duration exceeds maximum limit.

Video duration exceeds the maximum limit.

400

Video.FileTooLarge

Video file size exceeds maximum limit.

The video file is too large.

400

Parameter.Invalid

The parameter is invalid.

The parameter is invalid.

400

Video.Timeout

Video processing timeout.

Video processing timeout.

400

Video.UploadFailed

Video upload failed.

Failed to upload the resulting video.

400

Tos.AccessFailed

TOS access failed.

TOS access failed.

401

Authorization.Missing

Missing Authorization.

Authorization is missing.

401

ApiKey.InValid

The api key is invalid.

The API is invalid.

500

Internal.ServerError

Internal server error.

Internal service error, such as super-resolution inference failure or result concatenation failure.

Poll API

API description

Call the Poll API to query the execution status and results of the video super-resolution asynchronous task. You need to provide task_id. When the task status is COMPLETED, you can obtain result information (such as the TOS address of the output video) in the returned data.

Request parameters

Name

Type

Required

Example value

Description

operator_id

string

Required

las_video_super_resolution

Operator ID.

operator_version

string

Required

v1

Operator version.

task_id

string

Required

task-xxx

Asynchronous task ID.

Response parameters

Parameter
Type
Example value
Description
metadata
object
Request metadata.
data
VideoSuperResolutionResponse
Task result data.

Request example

curl --location "https://operator.las.ap-southeast-1.volces.com/api/v1/poll" --header "Content-Type: application/json" --header "Authorization: Bearer $LAS_API_KEY" --data '{
    "operator_id": "las_video_super_resolution",
    "operator_version": "v1",
    "task_id": "task-20260413191000-abc123"
}'

Response example

{
    "metadata": {
        "task_id": "task-20260413191000-abc123",
        "task_status": "COMPLETED",
        "submit_time": "2026-07-21T16:04:06+08:00",
        "end_time": "2026-07-21T16:04:06+08:00",
        "business_code": "0",
        "error_msg": ""
    },
    "data": {
        "output_video_tos_url": "tos://path/to/sr_results/sample_output_1920x1080.mp4"
    }
}

Error code

HttpStatusCode

Error code

Error message

Description

400

Url.Invalid

The url is invalid.

The video link is invalid.

400

Video.Invalid

The video file is invalid.

The video file is invalid or cannot be parsed.

400

Video.DownloadFailed

Video download failed.

Video download failed.

400

Video.FormatUnsupported

Video format not supported.

Video format not supported.

400

Video.DurationExceeded

Video duration exceeds maximum limit.

Video duration exceeds the maximum limit.

400

Video.FileTooLarge

Video file size exceeds maximum limit.

The video file is too large.

400

Parameter.Invalid

The parameter is invalid.

The parameter is invalid.

400

Video.Timeout

Video processing timeout.

Video processing timeout.

400

Video.UploadFailed

Video upload failed.

Failed to upload the resulting video.

400

Tos.AccessFailed

TOS access failed.

TOS access failed.

401

Authorization.Missing

Missing Authorization.

Authorization is missing.

401

ApiKey.InValid

The api key is invalid.

The API is invalid.

500

Internal.ServerError

Internal server error.

Internal service error, such as super-resolution inference failure or result concatenation failure.

Last updated: 2026.08.06 09:51:07